Subject: Re: [RFC 1/2] igb: statistic optimization

From: Rick Jones <[email-masked]>
Date: Wed, 22 Oct 2008 10:37:44 -0700

> I don't think you want to put this in the code that can be called directly 
> from IOCTL from userspace.  This function can take a lot of cycles and 
> some silly applications like gkrellm call it quite frequently.  The 
> update_stats function will be called as part of the watchdog anyway, and 
> you already got the interesting stats for realtime with the tx and rx 
> bytes/packets.

On the flip side aren't there "out of phase" issues with pulling stats 
based on a timer vs something like a netstat -i 1 command?

rick jones

-------------------------------------------------------------------------
This SF.Net email is sponsored by the Moblin Your Move Developer's challenge
Build the coolest Linux based applications with Moblin SDK & win great prizes
Grand prize is a trip for two to an Open Source event anywhere in the world
http://moblin-contest.org/redirect.php?banner_id=100&url=/